// automatically generated by the FlatBuffers compiler, do not modify

package Serialization;

import java.nio.*;
import java.lang.*;
import java.util.*;
import com.google.flatbuffers.*;

@SuppressWarnings("unused")
public final class Timestamp extends Struct {
  public void __init(int _i, ByteBuffer _bb) { __reset(_i, _bb); }
  public Timestamp __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public long usecSinceEpoch() { return bb.getLong(bb_pos + 0); }

  public static int createTimestamp(FlatBufferBuilder builder, long usecSinceEpoch) {
    builder.prep(8, 8);
    builder.putLong(usecSinceEpoch);
    return builder.offset();
  }

  public static final class Vector extends BaseVector {
    public Vector __assign(int _vector, int _element_size, ByteBuffer _bb) { __reset(_vector, _element_size, _bb); return this; }

    public Timestamp get(int j) { return get(new Timestamp(), j); }
    public Timestamp get(Timestamp obj, int j) {  return obj.__assign(__element(j), bb); }
  }
}

